Smart Proxy - Bug #795

Failed to fetch boot files on older ruby versions
03/26/2011 03:23 PM - Juan José Presa
Category:

Target version: 0.2
Difficulty: Fixed in Releases:
Pull request:

Description
Hi

I'm creating a new host. All variables are defined and the hosts added ok.
But when | click "built" function fails with:

Failed to enable cliente1.metro.local for installation: Failed to fetch boot files: undefined method “count' for [J:Array

In /tmp/proxy.log:

I, [2011-03-26T22:14:49.164066 #10854] INFO -- : TFTP entry for d2:ca:d3:1c:14:fc created successfully
E, [2011-03-26T22:14:49.172317 #10854] ERROR -- : undefined method “count' for []:Array
D, [2011-03-26T22:14:49.178458 #10854] DEBUG -- : TFTP entry for d2:ca:d3:1c:14:fc removed successfully

| have reviewed all items:

Operating systems
Installation media
Templates

Host

Hostgroup

Thanks in advance

Associated revisions

Revision 68bfe266 - 03/27/2011 03:25 AM - Ohad Levy

fixes #795 - Failed to fetch boot files on older ruby versions

History

#1 - 03/26/2011 04:52 PM - Juan José Presa

and actually the question is, how can i debug this error? ;)

#2 - 03/27/2011 03:20 AM - Ohad Levy
- Tracker changed from Support to Bug
- Project changed from Foreman to Smart Proxy

- Assignee set to Ohad Levy

#3 - 03/27/2011 03:21 AM - Ohad Levy

- Target version set to 0.2
I've confirmed this is a bug with older ruby versions... patch is on the way.

#4 - 03/27/2011 03:22 AM - Ohad Levy

- Subject changed from Failed to fetch boot files to Failed to fetch boot files on older ruby versions

#5 - 03/27/2011 03:24 AM - Ohad Levy
- Status changed from New to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset 68bfe2669caale55946e9cbc41722f108061924a.

#6 - 03/27/2011 08:46 AM - Juan José Presa

| upgrade my ruby libs to 1.8.6 and keeps error, then tested smart-proxy from git and went OK

Thanks again!

#7 - 03/31/2011 03:33 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
